XmLCvtStringToUChar(3X)

NAME
XmLCvtStringToUChar - unsigned char resource converter

SYNTAX
Boolean XmLCvtStringToUChar(dpy, resname, map, fromVal, toVal)
Display *dpy;
char *resname;
XmLStringToUCharMap *map;
XrmValuePtr fromVal;
XrmValuePtr toVal;

ARGUMENTS

dpy the display

resname
    the resource name

map the mappings of string to unsigned char

fromVal
    the resource value from

toVal
    the resource value to

DESCRIPTION
This function can be used in a widget to perform resource conversion from a string to an unsigned char. This function should be called inside a widgets resource converter where parameters dpy, fromVal and toVal are available to be passed in. The resname parameter identifies the resource and the map array is an array of mappings from strings to unsigned chars. A NULL string should be used in the last array element to terminate the array.

RETURN VALUE
True if conversion was successful and toVal is filled in and False if conversion was unsuccessful.